Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class DialerLimitParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
          umontreal.iro.lecuyer.contactcenters.msk.params.DialerLimitParams

    public class DialerLimitParams

extends TimeIntervalParams

Determines parameters of a limit imposed on the number of dialed calls during a given time interval. This element is a time interval which accepts an additional

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">value</tt>

giving the value of the limit, and a

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">types</tt>

child giving a set of call type identifiers on which the limit applies. See the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">dialerLimit</tt>

element for information on how the limits are used by the dialer.

Java class for DialerLimitParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DialerLimitParams">
       <complexContent>
         <extension base="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}TimeIntervalParams">
           <sequence>
             <element name="types" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeIntList" minOccurs="0"/>
           </sequence>
           <attribute name="value" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected int[]` | `types`
`protected int` | `value`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
`endingTime, startingTime`

Constructor Summary
`DialerLimitParams()`

Method Summary
`int[]` | `getTypes()`
`int` | `getTypes(int idx)`
`int` | `getTypesLength()`
`int` | `getValue()` Gets the value of the value property.
`boolean` | `isSetTypes()`
`boolean` | `isSetValue()`
`void` | `setTypes(int[] values)`
`int` | `setTypes(int idx, int value)`
`void` | `setValue(int value)` Sets the value of the value property.
`void` | `unsetTypes()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TimeIntervalParams
`getEndingTime, getStartingTime, isSetEndingTime, isSetStartingTime, setEndingTime, setStartingTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### types

    protected int[] types

### value

    protected int value

Constructor Detail

### DialerLimitParams

    public DialerLimitParams()

Method Detail

### getTypes

    public int[] getTypes()

  Returns:
    array of `Integer`

### getTypes

    public int getTypes(int idx)

  Returns:
    one of `Integer`

### getTypesLength

    public int getTypesLength()

### setTypes

    public void setTypes(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setTypes

    public int setTypes(int idx,
                        int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetTypes

    public boolean isSetTypes()

### unsetTypes

    public void unsetTypes()

### getValue

    public int getValue()

  Gets the value of the value property.

### setValue

    public void setValue(int value)

  Sets the value of the value property.

### isSetValue

    public boolean isSetValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.